| Apache Ignite C++

Public Member Functions | List of all members
ignite::cache::query::QueryFieldsCursor Class Reference

Query fields cursor. More...

`#include <query_fields_cursor.h>`

## Public Member Functions
| QueryFieldsCursor ()
| Default constructor. More...
| QueryFieldsCursor (impl::cache::query::QueryCursorImpl *impl)
| Constructor. More...
bool | HasNext ()
| Check whether next entry exists. More...
bool | HasNext (IgniteError &err)
| Check whether next entry exists. More...
QueryFieldsRow | GetNext ()
| Get next entry. More...
QueryFieldsRow | GetNext (IgniteError &err)
| Get next entry. More...
bool | IsValid () const
| Check if the instance is valid. More...

## Detailed Description

Query fields cursor.

This class is implemented as a reference to an implementation so copying of this class instance will only create another reference to the same underlying object. Underlying object will be released automatically once all the instances are destructed.

## Constructor & Destructor Documentation

## ◆ QueryFieldsCursor() [1/2]

ignite::cache::query::QueryFieldsCursor::QueryFieldsCursor | ( |  | ) |
| inline

Default constructor.

Constructed instance is not valid and thus can not be used as a cursor.

## ◆ QueryFieldsCursor() [2/2]

ignite::cache::query::QueryFieldsCursor::QueryFieldsCursor | ( | impl::cache::query::QueryCursorImpl * | impl | ) |
| inline

Constructor.

Internal method. Should not be used by user.

Parameters

  impl | Implementation.

## Member Function Documentation

## ◆ GetNext() [1/2]

QueryFieldsRow ignite::cache::query::QueryFieldsCursor::GetNext | ( |  | ) |
| inline

Get next entry.

This method should only be used on the valid instance.

Returns
  Next entry.

Exceptions

  IgniteError | class instance in case of failure.

## ◆ GetNext() [2/2]

QueryFieldsRow ignite::cache::query::QueryFieldsCursor::GetNext | ( | IgniteError & | err | ) |
| inline

Get next entry.

Properly sets error param in case of failure.

This method should only be used on the valid instance.

Parameters

  err | Used to set operation result.

Returns
  Next entry on success and invalid row instance on failure.

## ◆ HasNext() [1/2]

bool ignite::cache::query::QueryFieldsCursor::HasNext | ( |  | ) |
| inline

Check whether next entry exists.

This method should only be used on the valid instance.

Returns
  True if next entry exists.

Exceptions

  IgniteError | class instance in case of failure.

## ◆ HasNext() [2/2]

bool ignite::cache::query::QueryFieldsCursor::HasNext | ( | IgniteError & | err | ) |
| inline

Check whether next entry exists.

Properly sets error param in case of failure.

This method should only be used on the valid instance.

Parameters

  err | Used to set operation result.

Returns
  True if next entry exists and operation resulted in success. Returns false on failure.

## ◆ IsValid()

bool ignite::cache::query::QueryFieldsCursor::IsValid | ( |  | ) | const
| inline

Check if the instance is valid.

Invalid instance can be returned if some of the previous operations have resulted in a failure. For example invalid instance can be returned by not-throwing version of method in case of error. Invalid instances also often can be created using default constructor.

Returns
  True if the instance is valid and can be used.

The documentation for this class was generated from the following file:

- core/include/ignite/cache/query/query_fields_cursor.h